# Uses of Class
org.bukkit.plugin.java.JavaPluginLoader

Packages that use JavaPluginLoader
Package
Description
org.bukkit.plugin.java
Classes for handling `plugins` written in java.

## Uses of JavaPluginLoader in org.bukkit.plugin.java

Constructors in org.bukkit.plugin.java with parameters of type JavaPluginLoader
Modifier
Constructor
Description
`protected`
`JavaPlugin(@NotNull JavaPluginLoader loader, @NotNull PluginDescriptionFile description, @NotNull File dataFolder, @NotNull File file)`